Distribution:   CCux-Linux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libmtp
Summary:        A software library for MTP media players
Version:	0.3.0
Release:	1
License:	LGPLv2+
URL:		http://libmtp.sourceforge.net/
Group:		System Environment/Libraries
Source0:	%{name}-%{version}.tar.gz
Source1:        libmtp.perms
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:       udev
Requires:       pam
Requires:	hal
BuildRequires:  libusb-devel
BuildRequires:  doxygen

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
This package provides a software library for communicating with MTP
(Media Transfer Protocol) media players, typically audio players, video
players etc.
 
%package	devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       libusb-devel

%description	devel
Header and include files for developing applications with %{name}.

%package	examples
Summary:        Example programs for libmtp
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description	examples
This package provides example programs for communicating with MTP
devices.


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
%configure --program-prefix=mtp-
make %{?_smp_mflags}
# Remove permissions from symlink in udev script, we use
# PAM to fix the permissions instead.
examples/hotplug -a"SYMLINK+=\"libmtp-%k\"" > libmtp.rules

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# Remove libtool archive remnant
# rm -f $RPM_BUILD_ROOT%{_libdir}/libmtp.la
# Install udev rules file.
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
install -p -m 644 libmtp.rules $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/60-libmtp.rules
mkdir -p $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop
install -p -m 644 libmtp.fdi $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libmtp.fdi
# Install device permissions
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.perms.d/
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/security/console.perms.d/60-libmtp.perms
# Copy documentation to a good place
install -p -m 644 AUTHORS ChangeLog COPYING INSTALL README TODO \
$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
# Touch generated files to make them always have the same time stamp.
touch -r configure.ac \
      $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html/* \
      $RPM_BUILD_ROOT%{_includedir}/*.h \
      $RPM_BUILD_ROOT%{_libdir}/pkgconfig/*.pc \
      $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libmtp.fdi
# Remove the Doxygen HTML documentation, this get different
# each time it is generated and thus creates multiarch conflicts.
# I don't want to pre-generate it but will instead wait for upstream
# to find a suitable solution that will always bring the same files,
# or that Doxygen is fixed not to do this.
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%config(noreplace) %{_sysconfdir}/udev/rules.d/*
%config(noreplace) %{_sysconfdir}/security/console.perms.d/*
%config(noreplace) %{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libmtp.fdi

%files examples
%defattr(-,root,root,-)
%{_bindir}/*

%files devel
%defattr(-,root,root,-)
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/*
%_includedir/*.h
%_libdir/pkgconfig/*.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.3.0-1
- Version update
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.2.6.1-1
- Version update
* Thu Mar 06 2008 Christian Wasem <wasem@ccux-linux.de> 0.2.6-1
- Initial Release 
